<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-17 15:51:04
 * 文件不允许修改，自动生成
 */

namespace common\table\new_energy;

use common\table\TableModelBase;
class JdzCityExchangeOrderInsurance extends TableModelBase{
    public static function tableName()
    {
        return '{{jdz_city_exchange_order_insurance}}';
    }
                
    /**
     * ------------ 字段 insurance_id 
     * ------------ 表字段注释: 
     */
    public function filterByInsuranceId($val): self
    {
        $this->filterByColumn("insurance_id", $val);
        return $this;
    }

    public function setInsuranceId($val): self
    {
        $this->setAttr("insurance_id", $val);
        return $this;
    }

    public function getInsuranceId()
    {
        return $this->insurance_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 user_id 
     * ------------ 表字段注释: 用户ID
     */
    public function filterByUserId($val): self
    {
        $this->filterByColumn("user_id", $val);
        return $this;
    }

    public function setUserId($val): self
    {
        $this->setAttr("user_id", $val);
        return $this;
    }

    public function getUserId()
    {
        return $this->user_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 admin_id 
     * ------------ 表字段注释: 门店ID
     */
    public function filterByAdminId($val): self
    {
        $this->filterByColumn("admin_id", $val);
        return $this;
    }

    public function setAdminId($val): self
    {
        $this->setAttr("admin_id", $val);
        return $this;
    }

    public function getAdminId()
    {
        return $this->admin_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 order_sn 
     * ------------ 表字段注释: 订单号
     */
    public function filterByOrderSn($val): self
    {
        $this->filterByColumn("order_sn", $val);
        return $this;
    }

    public function setOrderSn($val): self
    {
        $this->setAttr("order_sn", $val);
        return $this;
    }

    public function getOrderSn()
    {
        return $this->order_sn ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 sub_sn 
     * ------------ 表字段注释: 子订单号
     */
    public function filterBySubSn($val): self
    {
        $this->filterByColumn("sub_sn", $val);
        return $this;
    }

    public function setSubSn($val): self
    {
        $this->setAttr("sub_sn", $val);
        return $this;
    }

    public function getSubSn()
    {
        return $this->sub_sn ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 status 
     * ------------ 表字段注释: 状态  0 待创建  1 已创建  2结束中  3 已结束  4 创建失败余额不足 5 api错误  6 已取消
     */
    public function filterByStatus($val): self
    {
        $this->filterByColumn("status", $val);
        return $this;
    }

    public function setStatus($val): self
    {
        $this->setAttr("status", $val);
        return $this;
    }

    public function getStatus()
    {
        return $this->status ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 ctime 
     * ------------ 表字段注释: 创建时间
     */
    public function filterByCtime($val): self
    {
        $this->filterByColumn("ctime", $val);
        return $this;
    }

    public function setCtime($val): self
    {
        $this->setAttr("ctime", $val);
        return $this;
    }

    public function getCtime()
    {
        return $this->ctime ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 insurance_time 
     * ------------ 表字段注释: 签约时间
     */
    public function filterByInsuranceTime($val): self
    {
        $this->filterByColumn("insurance_time", $val);
        return $this;
    }

    public function setInsuranceTime($val): self
    {
        $this->setAttr("insurance_time", $val);
        return $this;
    }

    public function getInsuranceTime()
    {
        return $this->insurance_time ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 begin_time 
     * ------------ 表字段注释: 保单开始时间
     */
    public function filterByBeginTime($val): self
    {
        $this->filterByColumn("begin_time", $val);
        return $this;
    }

    public function setBeginTime($val): self
    {
        $this->setAttr("begin_time", $val);
        return $this;
    }

    public function getBeginTime()
    {
        return $this->begin_time ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 frame_no 
     * ------------ 表字段注释: 车架号
     */
    public function filterByFrameNo($val): self
    {
        $this->filterByColumn("frame_no", $val);
        return $this;
    }

    public function setFrameNo($val): self
    {
        $this->setAttr("frame_no", $val);
        return $this;
    }

    public function getFrameNo()
    {
        return $this->frame_no ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 end_time 
     * ------------ 表字段注释: 保单结束时间
     */
    public function filterByEndTime($val): self
    {
        $this->filterByColumn("end_time", $val);
        return $this;
    }

    public function setEndTime($val): self
    {
        $this->setAttr("end_time", $val);
        return $this;
    }

    public function getEndTime()
    {
        return $this->end_time ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 flag 
     * ------------ 表字段注释: 
     */
    public function filterByFlag($val): self
    {
        $this->filterByColumn("flag", $val);
        return $this;
    }

    public function setFlag($val): self
    {
        $this->setAttr("flag", $val);
        return $this;
    }

    public function getFlag()
    {
        return $this->flag ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 memo 
     * ------------ 表字段注释: 
     */
    public function filterByMemo($val): self
    {
        $this->filterByColumn("memo", $val);
        return $this;
    }

    public function setMemo($val): self
    {
        $this->setAttr("memo", $val);
        return $this;
    }

    public function getMemo()
    {
        return $this->memo ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 money 
     * ------------ 表字段注释: 
     */
    public function filterByMoney($val): self
    {
        $this->filterByColumn("money", $val);
        return $this;
    }

    public function setMoney($val): self
    {
        $this->setAttr("money", $val);
        return $this;
    }

    public function getMoney()
    {
        return $this->money ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 price 
     * ------------ 表字段注释: 
     */
    public function filterByPrice($val): self
    {
        $this->filterByColumn("price", $val);
        return $this;
    }

    public function setPrice($val): self
    {
        $this->setAttr("price", $val);
        return $this;
    }

    public function getPrice()
    {
        return $this->price ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 third_order_sn 
     * ------------ 表字段注释: 
     */
    public function filterByThirdOrderSn($val): self
    {
        $this->filterByColumn("third_order_sn", $val);
        return $this;
    }

    public function setThirdOrderSn($val): self
    {
        $this->setAttr("third_order_sn", $val);
        return $this;
    }

    public function getThirdOrderSn()
    {
        return $this->third_order_sn ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 request_time 
     * ------------ 表字段注释: 上次请求时间 用于做两次请求时间判断，时间过短则不重复请求，等待下个周期请求
     */
    public function filterByRequestTime($val): self
    {
        $this->filterByColumn("request_time", $val);
        return $this;
    }

    public function setRequestTime($val): self
    {
        $this->setAttr("request_time", $val);
        return $this;
    }

    public function getRequestTime()
    {
        return $this->request_time ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 close_time 
     * ------------ 表字段注释: 
     */
    public function filterByCloseTime($val): self
    {
        $this->filterByColumn("close_time", $val);
        return $this;
    }

    public function setCloseTime($val): self
    {
        $this->setAttr("close_time", $val);
        return $this;
    }

    public function getCloseTime()
    {
        return $this->close_time ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 type 
     * ------------ 表字段注释: 1：短租宝-燕赵保险
     */
    public function filterByType($val): self
    {
        $this->filterByColumn("type", $val);
        return $this;
    }

    public function setType($val): self
    {
        $this->setAttr("type", $val);
        return $this;
    }

    public function getType()
    {
        return $this->type ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 next_time 
     * ------------ 表字段注释: 下次请求时间
     */
    public function filterByNextTime($val): self
    {
        $this->filterByColumn("next_time", $val);
        return $this;
    }

    public function setNextTime($val): self
    {
        $this->setAttr("next_time", $val);
        return $this;
    }

    public function getNextTime()
    {
        return $this->next_time ?? null;
    }
    // ---------------------------------------------
    
}
